Go to the latest version of this document.

# ``twisted`.`internet`.`endpoints`.`_TCP6ServerParser``

class documentation

`class _TCP6ServerParser: (source)`

Implements interfaces: `twisted.internet.interfaces.IStreamServerEndpointStringParser`, `twisted.plugin.IPlugin`

View In Hierarchy

Stream server endpoint string parser for the TCP6ServerEndpoint type.

Method | `parseStreamServer` | Parse a stream server endpoint from a reactor and string-only arguments and keyword arguments.
Instance Variable | `prefix` | See `IStreamServerEndpointStringParser.prefix`.
Method | `_parseServer` | Internal parser function for `_parseServer` to convert the string arguments into structured arguments for the `TCP6ServerEndpoint`

def parseStreamServer(self, reactor, *args, **kwargs): (source)
from `twisted.internet.interfaces.IStreamServerEndpointStringParser`

Parse a stream server endpoint from a reactor and string-only arguments and keyword arguments.

Returns
a stream server endpoint

See Also
`IStreamClientEndpointStringParserWithReactor.parseStreamClient`

prefix: `str` = (source)
from `twisted.internet.interfaces.IStreamServerEndpointStringParser`

See `IStreamServerEndpointStringParser.prefix`.

def _parseServer(self, reactor, port, backlog=50, interface='::'): (source)

Internal parser function for `_parseServer` to convert the string arguments into structured arguments for the `TCP6ServerEndpoint`

Parameters
reactor | An `IReactorTCP` provider.
port:int | The port number used for listening
backlog:int | Size of the listen queue
interface:str | The hostname to bind to